# 智慧农田数据模型

## _User (Parse内置类)
- **字段**
  - username: String
  - password: String
  - email: String
  - mobilePhone: String
  - ...其他内置字段

## Farmland
- **基础字段**
  - objectId
  - createdAt
  - updatedAt
- **业务字段**
  - farmlandName: String
  - area: Number
  - cropType: String
  - geoLocation: GeoPoint
    - latitude
    - longitude
  - owner: Pointer<_User>
  - status: String
    - 播种期
    - 生长期
    - 成熟期
  - irrigationSystem: String
- **关系**
  - 1 → n FarmingReminder
  - 1 → n GrowthRecord

## FarmingReminder
- **基础字段**
  - objectId
  - createdAt
  - updatedAt
- **业务字段**
  - reminderType: String
    - 灌溉
    - 施肥
    - 除虫
  - content: String
  - dueDate: Date
  - isCompleted: bool
  - priority: Number
- **关系**
  - farmland: Pointer<Farmland>

## GrowthRecord
- **基础字段**
  - objectId
  - createdAt
  - updatedAt
- **业务字段**
  - recordType: String
    - 文字记录
    - 图片记录
  - description: String
  - recordDate: Date
  - images: Array<Parse.File>
  - growthStage: String
  - temperature: Number
  - humidity: Number
- **关系**
  - farmland: Pointer<Farmland>

## 关系图谱
- _User 1 → n Farmland (owns)
- Farmland 1 → n FarmingReminder (has)
- Farmland 1 → n GrowthRecord (contains)