import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';
import { CropIntroPage } from './crop-intro/crop-intro.page';
import { PestIntroPage } from './pest-intro/pest-intro.page';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'crop-intro',
    loadChildren: () => import('./crop-intro/crop-intro.module').then( m => m.CropIntroPageModule)
  },
  {
    path: 'pest-intro',
    loadChildren: () => import('./pest-intro/pest-intro.module').then( m => m.PestIntroPageModule)
  },
  {
    path: 'crop-intro',
    component: CropIntroPage
  },
  {
    path: 'pest-intro',
    component: PestIntroPage
  },

];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
